"""increasing conf fields

Revision ID: 0004
Revises: 0003
Create Date: 2021-07-01 16:17:42.140797+00:00

"""
from alembic import op
import sqlalchemy as sa


revision = '0004'
down_revision = '0003'
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column('trip_conf_details', 'conference_name', type_=sa.String(length=256), nullable=True)
    op.alter_column('trip_conf_details', 'price', type_=sa.String(length=256), nullable=True)
    op.alter_column('trip_conf_details', 'promo_code', type_=sa.String(length=256), nullable=True)
    op.alter_column('trip_conf_details', 'ticket_type', type_=sa.String(length=256), nullable=True)
    op.alter_column('person_trip_conf_details', 'price', type_=sa.String(length=256), nullable=True)
    op.alter_column('person_trip_conf_details', 'promo_code', type_=sa.String(length=256), nullable=True)
    op.alter_column('person_trip_conf_details', 'discount', type_=sa.String(length=256), nullable=True)


def downgrade():
    op.alter_column('trip_conf_details', 'conference_name', type_=sa.String(length=128), nullable=True)
    op.alter_column('trip_conf_details', 'price', type_=sa.String(length=64), nullable=True)
    op.alter_column('trip_conf_details', 'promo_code', type_=sa.String(length=128), nullable=True)
    op.alter_column('trip_conf_details', 'ticket_type', type_=sa.String(length=128), nullable=True)
    op.alter_column('person_trip_conf_details', 'price', type_=sa.String(length=64), nullable=True)
    op.alter_column('person_trip_conf_details', 'promo_code', type_=sa.String(length=128), nullable=True)
    op.alter_column('person_trip_conf_details', 'discount', type_=sa.String(length=128), nullable=True)
